Issue 76277 - Make Sort option available in AutoFilter menu
Summary: Make Sort option available in AutoFilter menu
Status: CONFIRMED
Alias: None
Product: Calc
Classification: Application
Component: editing (show other issues)
Version: OOo 2.2
Hardware: PC Windows XP
: P3 Trivial with 16 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-11 19:28 UTC by neilsanner
Modified: 2013-08-07 15:12 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description neilsanner 2007-04-11 19:28:43 UTC
I found that Calc can effectively replace Excel and I started to use it instead
of Excel. I make extensive use of filters for data. I switched back to Excel
because of all the bugs in Calc filters. I think there's still work to do with
Calc's filters:

-Make autofilter more intuitive and more automatic as Excel.
-Simply select the headers (instead of the whole range) for autofilter.
-Add the possibility to sort each column by using the dropdown combo box.
-For "- Standard -", deal only with one column at a time, instead of all the
columns. More simple. At least, add possibility to use more than three conditions.
-Make it exactly as Excel!!!! It does work great!!!

Best regards,
Neilsanner
Comment 1 dalo 2007-04-12 11:05:16 UTC
---> Make it exactly as Excel!!!!
This is not a good idea. It CAN be better than Excel not EXACTLY as Excel. Let's
not limit us to the 'as good as the market wants' example.

On the other hand: 
I confirm that the Three conditions using the standard option is limiting.
BUT
nevertheless you CAN continue to add criteria to your current 3 lines standard
filter by selecting direct values using the combo's on other columns

The fact that you can have an overview about all columns is BETTER in my opinion
than hiding everything in each field.

You do not have to select you entire list: one cell in the list (avoid having
empty lines/columns - like excel: hates that too.

my 0.02
Comment 2 avagula 2007-11-16 18:49:21 UTC
Can we please resume this issue so by subpoints:
1 - unclearly formed RFE, wontfix
2 - wontfix, works well for contiguous ranges
3 - good RFE
4 - duplicate of many already reported issues
5 - wontfix

So remains only 3 - "Add the possibility to sort ("each" - not agreed maybe) 
column by using the dropdown combo box."

;)
Comment 3 frank 2007-11-19 09:25:48 UTC
re-assigned to requirements team
Comment 4 neilsanner 2007-11-19 20:02:30 UTC
About no. 2: 

What I meant is: It would be nice if we could do this:
-Select the row we want for headers
-Data: Filter: Autofilter
Then the range would be selected automatically by Calc. Plus, if the data
expands (more rows) later, the range would automatically expand also.
Comment 5 hagar_de_lest 2008-04-08 21:22:14 UTC
To avoid any misunderstanding, could this issue be renamed, like 'Make Sort
option available in AutoFilter menu'?

NB: For 2, Issue 59229 may be the right one.
Comment 6 strata 2011-02-02 09:12:49 UTC
Is 3.3.1 or 3.4 release an opportunity to implement this very useful function?

Thank you,

Carlo